SIFT_FOR_SUBMITTING_FASTA_SEQ.CSH(1)

NAME
SIFT_for_submitting_fasta_seq.csh - predict effect of an amino acid substitution on protein function

SYNOPSIS
SIFT_for_submitting_fasta_seq.csh <FASTA_FILE> <BLAST_DB> <SUBSTITUTIONS_FILE> [BLAST_PROCESSORS]

DESCRIPTION
SIFT predicts whether an amino acid substitution affects protein function based on sequence homology and the physical properties of amino acids.

Results are stored in ./<seq_file>.SIFTprediction.

This program is used for FASTA input and is part of the SIFT suite.

OPTIONS

<FASTA_FILE>
    Protein sequence in fasta format.

<BLAST_DB>
    Protein database to search. These sequences are assumed to be functional.

<SUBSTITUTIONS_FILE>
    File of substitutions to be predicted. See /usr/share/doc/sift/examples/lacI.subst for an example of the format. If you give '-', scores for all mutations of the entire protein sequence are printed.

[BLAST_PROCESSORS]
    Number of processors/cores to use when running blast via the -a argument.

EXAMPLES
 SIFT_for_submitting_fasta_seq.csh /usr/share/doc/sift/examples/lacI.fasta [BLAST_DB] /usr/share/doc/sift/examples/lacI.subst

AUTHOR
Pauline Ng

COPYRIGHT AND LICENSE
(C) Copyright 1993-2001, Fred Hutchinson Cancer Research Center

Noncommercial license. See /usr/share/doc/sift/copyright for details.

SEE ALSO
info_on_seqs